# advert.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <boost/utility/enable_if.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/detail/monitorable.hpp>`
`#include <saga/saga/packages/namespace/namespace_entry.hpp>`
`#include <saga/saga/packages/advert/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::advert
namespace | saga::advert::metrics
## Classes
class | saga::advert::entry
| The advert class represents an entry in a saga::advert::directory. An advert directory is a meta data directory with a hierarchical namespace attached. This class inherits all methods from saga::name_space::namespace_entry and provides additional methods to publish new and query existing adverts. More...
## Defines
#define | SAGA_ADVERT_DEPRECATED_MSG "This function is deprecated and will be removed in the future."
## Enumerations
enum | saga::advert::flags { saga::advert::Unknown = saga::name_space::Unknown, saga::advert::None = saga::name_space::None, saga::advert::Overwrite = saga::name_space::Overwrite, saga::advert::Recursive = saga::name_space::Recursive, saga::advert::Dereference = saga::name_space::Dereference, saga::advert::Create = saga::name_space::Create, saga::advert::Exclusive = saga::name_space::Exclusive, saga::advert::Lock = saga::name_space::Lock, saga::advert::CreateParents = saga::name_space::CreateParents, saga::advert::Read = 512, saga::advert::Write = 1024, saga::advert::ReadWrite = Read | Write }
| The available mode flags for advert package objects. More...
## Variables
char const *const | saga::advert::metrics::advert_modified = "advert.Modified"
| Brief description here.
char const *const | saga::advert::metrics::advert_deleted = "advert.Deleted"
| Brief description here.

## Define Documentation

#define SAGA_ADVERT_DEPRECATED_MSG "This function is deprecated and will be removed in the future."